//-----------------------------------------------
// trait de lumire - cyan
//-----------------------------------------------

textures/colonne/light/beam/cyan
{
	qer_editorimage textures/colonne/light/beam/cyan.tga
	qer_trans .5
	q3map_lightimage textures/colonne/light/beam/cyan.tga
	q3map_globaltexture
	q3map_surfacelight 150
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none

	{
		map textures/colonne/light/beam/cyan.tga
		alphaFunc GT0
		//blendFunc GL_ONE GL_ONE
		blendfunc gl_src_alpha gl_dst_alpha
		rgbGen identity
		rgbGen const ( 0.1 0.1 0.1 )
	}

}

//-----------------------------------------------
// grate - grille 1
//-----------------------------------------------


textures/colonne/grate/grille_1
{
	qer_editorimage textures/colonne/grate/grille_1.tga
	qer_trans 0.5
	surfaceparm alphashadow
	cull none
	nopicmip
	nomipmaps
	surfaceparm nonsolid
	{
		map textures/colonne/grate/grille_1.tga
		blendfunc GL_ONE GL_ZERO
		alphafunc GE128
//		GT0, LT128, GE128
		depthwrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


//-----------------------------------------------
// tincelle
//-----------------------------------------------

textures/colonne/sfx/etincelle_1
{ 
	qer_editorimage textures/colonne/sfx/etincelle_1.tga
	q3map_surfacelight 800
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none

	{
		animMap 10
		textures/colonne/sfx/noir.tga textures/colonne/sfx/noir.tga textures/colonne/sfx/noir.tga textures/colonne/sfx/etincelle_1.tga textures/colonne/sfx/noir.tga textures/colonne/sfx/noir.tga textures/colonne/sfx/noir.tga textures/colonne/sfx/noir.tga
		blendfunc gl_src_alpha gl_dst_alpha
		alphaFunc GT0
	} 

}

//-----------------------------------------------
// clair
//-----------------------------------------------

textures/colonne/sfx/eclair_1
{
	qer_editorimage textures/colonne/sfx/eclair_1.tga
	q3map_lightimage textures/colonne/light/spot/red.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	//deformVertexes autosprite
	qer_trans 0.5
	q3map_surfacelight 200
	sort Underwater
	{
		animmap 10 textures/colonne/sfx/eclair_1.tga textures/colonne/sfx/noir.tga textures/colonne/sfx/noir.tga textures/colonne/sfx/noir.tga textures/colonne/sfx/noir.tga textures/colonne/sfx/noir.tga textures/colonne/sfx/noir.tga textures/colonne/sfx/noir.tga 
		blendfunc gl_src_alpha gl_dst_alpha
		rgbGen wave sin 0 1 0 0.6 
		alphaFunc GT0
		alphaGen wave triangle -40 70 0 50  
	}
	{
		animmap 10 textures/colonne/sfx/noir.tga textures/colonne/sfx/noir.tga textures/colonne/sfx/noir.tga textures/colonne/sfx/eclair_2.tga textures/colonne/sfx/noir.tga textures/colonne/sfx/noir.tga textures/colonne/sfx/noir.tga textures/colonne/sfx/noir.tga 
		blendfunc gl_src_alpha gl_dst_alpha
		rgbGen wave sin 0 1 0 0.6 
		alphaFunc GT0
		alphaGen wave square -40 41 0 150 
	}
	{
		animmap 10 textures/colonne/sfx/noir.tga textures/colonne/sfx/noir.tga textures/colonne/sfx/noir.tga textures/colonne/sfx/noir.tga textures/colonne/sfx/noir.tga textures/colonne/sfx/noir.tga textures/colonne/sfx/eclair_3.tga textures/colonne/sfx/noir.tga 
		blendfunc gl_src_alpha gl_dst_alpha
		rgbGen wave sin 0 1 0 0.6
		alphaFunc GT0
		alphaGen wave sin -40 50 0 100
	}
//	{
//		map textures/colonne/sfx/noir.tga
//		alphaFunc GT0
//		alphaGen wave sin 0 1 0 10 
//	}
}


//-----------------------------------------------
// cylindre - halo_cyan
//-----------------------------------------------

textures/colonne/light/flare/halo_cyan
{
	qer_editorimage textures/colonne/light/flare/halo_cyan.tga
	qer_trans 0.5
	q3map_lightimage textures/colonne/light/spot/halo_cyan.tga
	q3map_surfacelight 50
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	//surfaceparm alphashadow
    cull none
	{
		map textures/colonne/light/flare/halo_cyan.tga
		blendfunc gl_src_alpha gl_dst_alpha
		tcMod scroll 0 -0.4
	}
}


//-----------------------------------------------
// cylindre - field_cyan
//-----------------------------------------------


textures/colonne/sfx/field
{
	qer_editorimage textures/colonne/sfx/field.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	nomipmaps
	qer_trans 0.5
	q3map_surfacelight 50
	{
		map textures/colonne/sfx/field.tga
		blendfunc blend
		rgbGen wave inversesawtooth 0.05 1 0 0.5 
		alphaFunc GT0
	}
	{
		map textures/colonne/sfx/field.tga
		blendfunc blend
		rgbGen wave sawtooth 0.05 1 0 0.5 
		alphaFunc GT0
	}
	{
		map textures/colonne/sfx/cyl.tga
		blendfunc blend
		tcMod scroll 0.1 0
		alphaFunc GT0
	}
	{
		map textures/colonne/sfx/cyl.tga
		blendfunc blend
		tcMod scroll -0.1 0
		alphaFunc GT0
	}
	{
		map textures/colonne/sfx/grid_orange.tga
		blendfunc blend
		tcMod scale 4.5 4.5
		alphaFunc GT0
		alphaGen wave square 1 1 0 15 
	}
}



//-----------------------------------------------
// flare - orange
//-----------------------------------------------

textures/colonne/light/flare/orange_1
{
	qer_editorimage textures/colonne/light/flare/orange_1.tga
    deformVertexes autoSprite
	q3map_lightimage textures/colonne/light/spot/orange_1.tga
	q3map_surfacelight 200
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
    cull none
          {
            clampmap textures/colonne/light/flare/orange_1.tga
            blendFunc GL_ONE GL_ONE
          }
}

//-----------------------------------------------
// flare - rouge
//-----------------------------------------------

textures/colonne/light/flare/red
{
	qer_editorimage textures/colonne/light/flare/red.tga
    deformVertexes autoSprite
	q3map_lightimage textures/colonne/light/spot/red.tga
	q3map_surfacelight 200
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
    cull none
	
          {
            clampmap textures/colonne/light/flare/red.tga
            blendFunc GL_ONE GL_ONE
          }
}

//-----------------------------------------------
// spot - rouge
//-----------------------------------------------

textures/colonne/light/spot/red
{
        qer_editorimage textures/colonne/light/spot/red.jpg
		q3map_surfacelight 500
		q3map_lightimage textures/colonne/light/spot/red.jpg
		//q3map_lightsubdivide 150
		
		
		{
			map textures/colonne/light/spot/red.jpg
			rgbGen identity
			rgbGen const ( 0.8 0.8 0.8 )
		
		}
	
}

//-----------------------------------------------
// spot - orange
//-----------------------------------------------

textures/colonne/light/spot/orange
{
        qer_editorimage textures/colonne/light/spot/orange.jpg
		q3map_surfacelight 1200
		q3map_lightimage textures/colonne/light/spot/orange.jpg
		//q3map_lightsubdivide 150
		
		
		{
			map textures/colonne/light/spot/orange.jpg
			rgbGen identity
			rgbGen const ( 0.8 0.8 0.8 )
		
		}
	
}

//-----------------------------------------------
// spot - cyan
//-----------------------------------------------

textures/colonne/light/spot/cyan
{
        qer_editorimage textures/colonne/light/spot/cyan.jpg
		q3map_surfacelight 500
		q3map_lightimage textures/colonne/light/spot/cyan.jpg
		//q3map_lightsubdivide 150
		surfaceparm trans
		
		
		{
			map textures/colonne/light/spot/cyan.jpg
			rgbGen identity
			rgbGen const ( 0.8 0.8 0.8 )
		
		}

}
//-----------------------------------------------
// box - orange/cyan
//-----------------------------------------------

textures/colonne/box
{
	qer_editorimage textures/colonne/box.tga
	q3map_surfacelight 50
	{
		map textures/colonne/box.jpg
		blendfunc add
	}
	{
		map textures/colonne/box.tga
		blendfunc gl_src_color gl_one_minus_src_color
		rgbGen wave sin 0 1 0 0.2 
		alphaFunc GE128
	}
	{
        map textures/colonne/reflet/chrome_tint.jpg
        rgbGen identity
		rgbGen const ( 0.2 0.2 0.2 )
        tcGen environment
        blendFunc GL_DST_COLOR GL_ONE
    }
}

//-----------------------------------------------
// eclair 2
//-----------------------------------------------


textures/colonne/sfx/eclair_2
{
	qer_editorimage textures/colonne/sfx/eclair_2.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	//cull disable
	//deformVertexes autosprite
	qer_trans 0.5
	q3map_globaltexture
	{
		map textures/colonne/sfx/eclair_1.tga
		blendfunc gl_src_alpha gl_dst_alpha
		rgbGen wave square 0 1 0.8 0.6 
		tcMod rotate 720
		alphaFunc GE128
		alphaGen wave triangle -40 70 0 50
	}
	{
		map textures/colonne/sfx/eclair_2.tga
		blendfunc gl_src_alpha gl_dst_alpha
		rgbGen wave square 0 1 0.2 0.6 
		tcMod rotate 1024
		alphaFunc GE128
		alphaGen wave square -40 41 0 150 
	}
	{
		map textures/colonne/sfx/eclair_3.tga
		blendfunc gl_src_alpha gl_dst_alpha
		rgbGen wave square 0 1 0.5 0.6 
		tcMod rotate -1024
		alphaFunc GE128
		alphaGen wave sin -40 50 0 100
	}
//	{
//		map textures/colonne/sfx/noir.tga
//		alphaFunc GT0
//		alphaGen wave sin 0 1 0 10 
//	}
}



//-----------------------------------------------
// sfx - tex
//-----------------------------------------------

textures/colonne/lum_jaune
{
	qer_editorimage textures/colonne/sfx/lum_jaune.tga
	q3map_surfacelight 800
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/colonne/reflet/chrome_tint.tga
		blendfunc add
		rgbGen const ( 0.145098 0.145098 0.145098 )
	}
	{
		map textures/colonne/reflet/chrome_tint.tga
		blendfunc add
		rgbGen wave sin 0 0.1 0.8 0.2 
		alphaFunc GE128
	}
	{
		map textures/colonne/reflet/chrome_tint.tga
		blendfunc blend
		rgbGen const ( 0.25098 0.25098 0.25098 )
		alphaGen wave sin 0 0.1 0.6 0.2 
	}
	{
		map textures/colonne/sfx/lum_cyan.tga
		blendfunc add
		rgbGen wave sin 0 1 0.2 0.2 
	}
	{
		map textures/colonne/sfx/lum_jaune.tga
		blendfunc blend
		alphaGen wave sin 0 1 0.1 0.2 
	}
}

//-----------------------------------------------
// shell - bas
//-----------------------------------------------

textures/colonne/shell/bottom_1
{
        qer_editorimage textures/colonne/shell/bottom_1.jpg
        {
            map textures/colonne/shell/bottom_1.jpg
            blendFunc GL_ONE GL_ZERO  //si le mod de fusion te convient pas GL_ONE GL_ONE
            rgbGen identity
        }       
		{
            map $lightmap
            rgbgen identity
            blendFunc GL_DST_COLOR GL_ZERO //si le mod de fusion te convient pas GL_DST_COLOR GL_ZERO
        }
		{
            map textures/colonne/reflet/chrome_tint.jpg
            rgbGen identity
		    rgbGen const ( 0.2 0.2 0.2 )
            tcGen environment
            blendFunc GL_DST_COLOR GL_ONE
        }


}

//-----------------------------------------------
// shell - trim_2
//-----------------------------------------------

textures/colonne/shell/trim_2
{
        qer_editorimage textures/colonne/shell/trim_2.jpg
        {
            map textures/colonne/shell/trim_2.jpg
            blendFunc GL_ONE GL_ZERO  //si le mod de fusion te convient pas GL_ONE GL_ONE
            rgbGen identity
        }       
		{
            map $lightmap
            rgbgen identity
            blendFunc GL_DST_COLOR GL_ZERO //si le mod de fusion te convient pas GL_DST_COLOR GL_ZERO
        }
		{
            map textures/colonne/reflet/chrome_tint.jpg
            rgbGen identity
		    rgbGen const ( 0.2 0.2 0.2 )
            tcGen environment
            blendFunc GL_DST_COLOR GL_ONE
        }


}

//-----------------------------------------------
// pipe - noir
//-----------------------------------------------

textures/colonne/pipe/noir
{
        qer_editorimage textures/colonne/pipe/noir.jpg
        {
            map textures/colonne/pipe/noir.jpg
            blendFunc GL_ONE GL_ZERO  //si le mod de fusion te convient pas GL_ONE GL_ONE
            rgbGen identity
        }       
		{
            map $lightmap
            rgbgen identity
            blendFunc GL_DST_COLOR GL_ZERO //si le mod de fusion te convient pas GL_DST_COLOR GL_ZERO
        }
		{
            map textures/colonne/reflet/chrome_tint.jpg
            rgbGen identity
		    rgbGen const ( 0.2 0.2 0.2 )
            tcGen environment
            blendFunc GL_DST_COLOR GL_ONE
        }


}

//-----------------------------------------------
// shell - concrete_1
//-----------------------------------------------

textures/colonne/shell/conctre_1
{
        qer_editorimage textures/colonne/shell/concrete_1.jpg
        {
            map textures/colonne/shell/concrete_1.jpg
            blendFunc GL_ONE GL_ZERO  //si le mod de fusion te convient pas GL_ONE GL_ONE
            rgbGen identity
        }       
		{
            map $lightmap
            rgbgen identity
            blendFunc GL_DST_COLOR GL_ZERO //si le mod de fusion te convient pas GL_DST_COLOR GL_ZERO
        }
		{
            map textures/colonne/reflet/chrome_tint.jpg
            rgbGen identity
		    rgbGen const ( 0.2 0.2 0.2 )
            tcGen environment
            blendFunc GL_DST_COLOR GL_ONE
        }


}

//-----------------------------------------------
// shell - 3
//-----------------------------------------------

textures/colonne/shell/shell_3
{
        qer_editorimage textures/colonne/shell/shell_3.jpg
        {
            map textures/colonne/shell/shell_3.jpg
            blendFunc GL_ONE GL_ZERO  //si le mod de fusion te convient pas GL_ONE GL_ONE
            rgbGen identity
        }       
		{
            map $lightmap
            rgbgen identity
            blendFunc GL_DST_COLOR GL_ZERO //si le mod de fusion te convient pas GL_DST_COLOR GL_ZERO
        }
		{
            map textures/colonne/reflet/chrome_tint.jpg
            rgbGen identity
		    rgbGen const ( 0.2 0.2 0.2 )
            tcGen environment
            blendFunc GL_DST_COLOR GL_ONE
        }


}

//-----------------------------------------------
// shell - 1
//-----------------------------------------------

textures/colonne/shell/shell_1
{
        qer_editorimage textures/colonne/shell/shell_1.jpg
        {
            map textures/colonne/shell/shell_1.jpg
            blendFunc GL_ONE GL_ZERO  //si le mod de fusion te convient pas GL_ONE GL_ONE
            rgbGen identity
        }       
		{
            map $lightmap
            rgbgen identity
            blendFunc GL_DST_COLOR GL_ZERO //si le mod de fusion te convient pas GL_DST_COLOR GL_ZERO
        }
		{
            map textures/colonne/reflet/chrome_tint.jpg
            rgbGen identity
		    rgbGen const ( 0.2 0.2 0.2 )
            tcGen environment
            blendFunc GL_DST_COLOR GL_ONE
        }


}

//-----------------------------------------------
// pipe - trim_3
//-----------------------------------------------

textures/colonne/pipe/trim_3
{
        qer_editorimage textures/colonne/pipe/trim_3.jpg
        {
            map textures/colonne/pipe/trim_3.jpg
            blendFunc GL_ONE GL_ZERO  //si le mod de fusion te convient pas GL_ONE GL_ONE
            rgbGen identity
        }       
		{
            map $lightmap
            rgbgen identity
            blendFunc GL_DST_COLOR GL_ZERO //si le mod de fusion te convient pas GL_DST_COLOR GL_ZERO
        }
		{
            map textures/colonne/reflet/chrome_tint.jpg
            rgbGen identity
		    rgbGen const ( 0.2 0.2 0.2 )
            tcGen environment
            blendFunc GL_DST_COLOR GL_ONE
        }


}

//-----------------------------------------------
// Ground - sand_1
//-----------------------------------------------

textures/colonne/ground/sand_1
{
        qer_editorimage textures/colonne/ground/sand_1.jpg
		q3map_surfacelight 800
        {
            map textures/colonne/ground/sand_1.jpg
            //blendFunc GL_ONE GL_ZERO
            rgbGen identity
        }       
		{
            map $lightmap
            rgbgen identity
            blendFunc GL_DST_COLOR GL_ZERO
        }

}


//-----------------------------------------------
// Glass - vitre_1
//-----------------------------------------------


textures/colonne/glass/vitre_1
{	qer_editorimage textures/colonne/glass/vitre_1.tga
	qer_trans 0.5
	surfaceparm trans
	cull disable
	{	map textures/colonne/glass/vitre_1.tga
		blendfunc add
		rgbGen const ( 0.2 0.2 0.2 )
	}
}

//-----------------------------------------------
// coque - intermdiaire
//-----------------------------------------------


//textures/
//{
//	surfaceparm nolightmap
//	q3map_novertexshadows
//	q3map_forcesunlight
//	{
//		map textures/
//		rgbGen vertex
//		alphaGen vertex
//		//tcmod scale 0.125 0.125
//	}
//	{
//		map textures/
//		rgbGen vertex
//		alphaGen vertex
//		//tcmod scale 0.125 0.125
//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//	}
//} 
